#include <bits/stdc++.h>
#include "code.h"
using namespace std;


vector<pair<int, int>> ZapisiTacke(int N){
    int n = N;
    vector<pair<int, int>> tacke(n + 1);
    for(int i = 0; i < n; i++){
        tacke[i + 1].first = i;
        tacke[i + 1].second = i * i;
    }
    return tacke;
}


vector<int> Resi(int N, int Q){
    int n = N;
    int q = Q;
    vector<int> resenje(n + 1);
    int vr = Pitaj(1, 2, 3);
    if(vr == 1){
        for(int i = 1; i <= n; i++){
            resenje[i] = i;
        }
    }
    else{
        for(int i = 1; i <= n; i++){
            resenje[i] = n - i + 1;
        }
    }
    return resenje;
}